/*
 * 作成日: 2005/02/17
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
package jp.co.ntt.lms.xmf.tools;

import java.io.File;
import java.text.DecimalFormat;
import java.util.Date;
import java.util.Vector;

import jp.co.ntt.lms.lo.LoTopClient;
import jp.co.ntt.lms.lo.LaunchForget.LaunchForgetLoEnv;
import jp.co.ntt.lms.lo.Office.OfficeLoEnv;
import jp.co.ntt.lms.xmo.Environment;
import jp.co.ntt.lms.xmo.Assignments.AssignmentsClient;
import jp.co.ntt.lms.xmo.Lo.HistoryData;
import jp.co.ntt.lms.xmo.Lo.LoClient;
import jp.co.ntt.lms.xmo.People.PeopleClient;
import jp.co.ntt.lms.xmo.util.FileControl;
import jp.co.ntt.lms.xmo.util.XMODate;
import jp.co.ntt.lms.lo.URL.UrlLoEnv;

/**
 * @author Administrator
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class LoComTool {
	
	public LoClient getObjLo( ) throws Exception
	{
			LoClient objLo = new LoClient();
			return objLo;
	}

	public Environment getObjEnv() throws Exception
	{
			Environment objEnv = new Environment();	
			return objEnv;
	}

	public LoTopClient getObjLoTop(String strLoServerName,String strLoType) throws Exception
	{
			LoTopClient objLoTop = new LoTopClient( strLoServerName, strLoType );
			return objLoTop;
	}

	public OfficeLoEnv getObjOfficeEnv() throws Exception
	{
			OfficeLoEnv objOfficeEnv = new OfficeLoEnv();
			return objOfficeEnv;
	}

	public FileControl getObjFileControl() throws Exception
	{
			FileControl objFileControl= new FileControl();
			return objFileControl;
	}

	public File getObjFile(String strOldFilePath) throws Exception
	{
			File objFile = new File(strOldFilePath);
			return objFile;
	}
	
	public LaunchForgetLoEnv getObjLoEnv() throws Exception
	{
			LaunchForgetLoEnv objLoEnv = new LaunchForgetLoEnv();
			return objLoEnv;
	}
	
	public HistoryData getObjHistory(LoClient objLo) throws Exception
	{
			HistoryData objHistory = (HistoryData)objLo.getHistory();
			return objHistory;
	}

	public PeopleClient getObjPeople() throws Exception
	{
			PeopleClient objPeople = new PeopleClient();
			return objPeople;
	}
	
	public Date getObjDate() throws Exception
	{
			Date objDate = new Date();
			return objDate;
	}

	public XMODate getObjXMODate() throws Exception
	{
			XMODate objXMODate = new XMODate();
			return objXMODate;
	}
	
	public Vector getObjVector() throws Exception
	{
			Vector objVector = new Vector();
			return objVector;
	}
	
	public AssignmentsClient getObjAssignments() throws Exception
	{
			AssignmentsClient objAssignments = new AssignmentsClient();
			return objAssignments;
	}
	
	public DecimalFormat getObjFormat(String argStr) throws Exception
	{
			DecimalFormat objFormat = new DecimalFormat(argStr);
			return objFormat;
	}

	public UrlLoEnv getObjUrlLoEnv() throws Exception
	{
			UrlLoEnv objLoEnv = new UrlLoEnv();
			return objLoEnv;
	}


}
